Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/LogarithmTransform.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/LogarithmTransform.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/LogarithmTransform.java	(revision 135)
@@ -112,5 +112,6 @@
             Instance instance = traindata.instance(i);
             for (int j = 0; j < testdata.numAttributes(); j++) {
-                if (traindata.attribute(j) != classAttribute && traindata.attribute(j).isNumeric())
+                if (traindata.attribute(j) != classAttribute &&
+                    traindata.attribute(j).isNumeric())
                 {
                     if (instance.value(j) < 0) {
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/MORPH.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/MORPH.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/MORPH.java	(revision 135)
@@ -25,5 +25,5 @@
 
 /**
- * Implements the MORPH data privatization. 
+ * Implements the MORPH data privatization.
  * 
  * 
@@ -36,15 +36,15 @@
      */
     Random rand = new Random();
-    
+
     /**
      * parameter alpha for MORPH, default is 0.15
      */
     double alpha = 0.15;
-    
+
     /**
      * parameter beta for MORPH, default is 0.35
      */
     double beta = 0.35;
-    
+
     /**
      * Does not have parameters. String is ignored.
@@ -57,5 +57,5 @@
         if (parameters != null && !parameters.equals("")) {
             String[] values = parameters.split(" ");
-            if( values.length!=2 ) {
+            if (values.length != 2) {
                 throw new InvalidParameterException("MORPH requires two doubles as parameter or no parameters to use default values");
             }
@@ -63,5 +63,6 @@
                 alpha = Double.parseDouble(values[0]);
                 beta = Double.parseDouble(values[1]);
-            } catch(NumberFormatException e) {
+            }
+            catch (NumberFormatException e) {
                 throw new InvalidParameterException("MORPH requires two doubles as parameter or no parameters to use default values");
             }
@@ -75,5 +76,5 @@
     @Override
     public void apply(Instances testdata, SetUniqueList<Instances> traindataSet) {
-        for( Instances traindata : traindataSet ) {
+        for (Instances traindata : traindataSet) {
             applyMORPH(traindata);
         }
@@ -88,5 +89,5 @@
         applyMORPH(traindata);
     }
-    
+
     /**
      * 
@@ -95,12 +96,13 @@
      * </p>
      *
-     * @param data data to which the processor is applied
+     * @param data
+     *            data to which the processor is applied
      */
     public void applyMORPH(Instances data) {
-        for (int i=0; i<data.numInstances(); i++ ) {
+        for (int i = 0; i < data.numInstances(); i++) {
             morphInstance(data.get(i), data);
         }
     }
-    
+
     /**
      * <p>
@@ -108,51 +110,59 @@
      * </p>
      *
-     * @param instance instance that is morphed
-     * @param data data based on which the instance is morphed
+     * @param instance
+     *            instance that is morphed
+     * @param data
+     *            data based on which the instance is morphed
      */
     public void morphInstance(Instance instance, Instances data) {
         Instance nearestUnlikeNeighbor = getNearestUnlikeNeighbor(instance, data);
-        if( nearestUnlikeNeighbor==null ) {
-            throw new RuntimeException("could not find nearest unlike neighbor within the data: " + data.relationName());
+        if (nearestUnlikeNeighbor == null) {
+            throw new RuntimeException("could not find nearest unlike neighbor within the data: " +
+                data.relationName());
         }
-        for( int j=0; j<data.numAttributes() ; j++ ) {
-            if( data.attribute(j)!=data.classAttribute() && data.attribute(j).isNumeric()) {
-                double randVal = rand.nextDouble()*(beta-alpha)+alpha;
-                instance.setValue(j, instance.value(j) + randVal*(instance.value(j)-nearestUnlikeNeighbor.value(j)) );
+        for (int j = 0; j < data.numAttributes(); j++) {
+            if (data.attribute(j) != data.classAttribute() && data.attribute(j).isNumeric()) {
+                double randVal = rand.nextDouble() * (beta - alpha) + alpha;
+                instance.setValue(j, instance.value(j) +
+                    randVal * (instance.value(j) - nearestUnlikeNeighbor.value(j)));
             }
         }
     }
-    
+
     /**
      * <p>
-     * Determines the nearest unlike neighbor of an instance. 
+     * Determines the nearest unlike neighbor of an instance.
      * </p>
      *
-     * @param instance instance to which the nearest unlike neighbor is determined
-     * @param data data where the nearest unlike neighbor is determined from
+     * @param instance
+     *            instance to which the nearest unlike neighbor is determined
+     * @param data
+     *            data where the nearest unlike neighbor is determined from
      * @return nearest unlike instance
      */
     public Instance getNearestUnlikeNeighbor(Instance instance, Instances data) {
         Instance nearestUnlikeNeighbor = null;
-        
-        double[] instanceVector = new double[data.numAttributes()-1];
+
+        double[] instanceVector = new double[data.numAttributes() - 1];
         int tmp = 0;
-        for( int j=0; j<data.numAttributes(); j++ ) {
-            if( data.attribute(j)!=data.classAttribute() && data.attribute(j).isNumeric()) {
+        for (int j = 0; j < data.numAttributes(); j++) {
+            if (data.attribute(j) != data.classAttribute() && data.attribute(j).isNumeric()) {
                 instanceVector[tmp] = instance.value(j);
             }
         }
-        
+
         double minDistance = Double.MAX_VALUE;
-        for( int i=0 ; i<data.numInstances() ; i++ ) {
-            if( instance.classValue() != data.instance(i).classValue() ) {
+        for (int i = 0; i < data.numInstances(); i++) {
+            if (instance.classValue() != data.instance(i).classValue()) {
                 double[] otherVector = new double[data.numAttributes() - 1];
                 tmp = 0;
                 for (int j = 0; j < data.numAttributes(); j++) {
-                    if (data.attribute(j) != data.classAttribute() && data.attribute(j).isNumeric()) {
+                    if (data.attribute(j) != data.classAttribute() &&
+                        data.attribute(j).isNumeric())
+                    {
                         otherVector[tmp++] = data.instance(i).value(j);
                     }
                 }
-                if( MathArrays.distance(instanceVector, otherVector)<minDistance) {
+                if (MathArrays.distance(instanceVector, otherVector) < minDistance) {
                     minDistance = MathArrays.distance(instanceVector, otherVector);
                     nearestUnlikeNeighbor = data.instance(i);
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/MedianAsReference.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/MedianAsReference.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/MedianAsReference.java	(revision 135)
@@ -129,5 +129,6 @@
             Instance instance = traindata.instance(i);
             for (int j = 0; j < traindata.numAttributes(); j++) {
-                if (traindata.attribute(j) != classAttribute && traindata.attribute(j).isNumeric())
+                if (traindata.attribute(j) != classAttribute &&
+                    traindata.attribute(j).isNumeric())
                 {
                     instance.setValue(j, instance.value(j) + (median[j] - currentmedian[j]));
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/NominalAttributeFilter.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/NominalAttributeFilter.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/NominalAttributeFilter.java	(revision 135)
@@ -95,6 +95,6 @@
 
             // delete all instances where nominal attribute has the value of one of the parameter
-            if (indexOfnominalAttributeValues.contains(wekaInstance
-                .value(indexOfConfidenceAttribute)))
+            if (indexOfnominalAttributeValues
+                .contains(wekaInstance.value(indexOfConfidenceAttribute)))
             {
                 traindata.delete(j);
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/Oversampling.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/Oversampling.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/Oversampling.java	(revision 135)
@@ -80,7 +80,4 @@
 
             Resample resample = new Resample();
-            // TODO: resample.setSampleSizePercent((100.0*counts[1])/100+0.01);
-            // Ohne +0.01 wird bei tomcat, xerces-1.2 und jedit-4.0 ein negative
-            // weniger zurückgegeben
             resample.setSampleSizePercent((100.0 * counts[0]) / counts[1]);
             try {
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/SynonymAttributePruning.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/SynonymAttributePruning.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/SynonymAttributePruning.java	(revision 135)
@@ -59,5 +59,5 @@
         double distance;
         for (int j = traindata.numAttributes() - 1; j >= 0; j--) {
-            if( j!=traindata.classIndex() ) {
+            if (j != traindata.classIndex()) {
                 boolean hasClosest = false;
                 for (int i1 = 0; !hasClosest && i1 < traindata.size(); i1++) {
@@ -67,5 +67,6 @@
                             double distanceJ = Double.MAX_VALUE;
                             for (int k = 0; k < traindata.numAttributes(); k++) {
-                                distance = Math.abs(traindata.get(i1).value(k) - traindata.get(i2).value(k));
+                                distance = Math
+                                    .abs(traindata.get(i1).value(k) - traindata.get(i2).value(k));
                                 if (distance < minVal) {
                                     minVal = distance;
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/TopMetricFilter.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/TopMetricFilter.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/TopMetricFilter.java	(revision 135)
@@ -52,5 +52,5 @@
      */
     double correlationThreshold = 0.5;
-    
+
     /*
      * (non-Javadoc)
@@ -60,5 +60,5 @@
     @Override
     public void setParameter(String parameters) {
-        if( parameters!=null && !parameters.equals("")) {
+        if (parameters != null && !parameters.equals("")) {
             correlationThreshold = Double.parseDouble(parameters);
         }
@@ -76,15 +76,17 @@
     }
 
-    private void determineTopKAttributes(Instances testdata, SetUniqueList<Instances> traindataSet) throws Exception {
-        Integer[] counts = new Integer[traindataSet.get(0).numAttributes()-1];
-        IntStream.range(0,counts.length).forEach(val -> counts[val] = 0);
-        for( Instances traindata : traindataSet ) {
+    private void determineTopKAttributes(Instances testdata, SetUniqueList<Instances> traindataSet)
+        throws Exception
+    {
+        Integer[] counts = new Integer[traindataSet.get(0).numAttributes() - 1];
+        IntStream.range(0, counts.length).forEach(val -> counts[val] = 0);
+        for (Instances traindata : traindataSet) {
             J48 decisionTree = new J48();
             decisionTree.buildClassifier(traindata);
-            int k=0;
-            for( int j=0; j<traindata.numAttributes(); j++) {
-                if(j!=traindata.classIndex()){
-                    if( decisionTree.toString().contains(traindata.attribute(j).name()) ) {
-                        counts[k] = counts[k]+1;
+            int k = 0;
+            for (int j = 0; j < traindata.numAttributes(); j++) {
+                if (j != traindata.classIndex()) {
+                    if (decisionTree.toString().contains(traindata.attribute(j).name())) {
+                        counts[k] = counts[k] + 1;
                     }
                     k++;
@@ -93,10 +95,10 @@
         }
         int[] topkIndex = new int[counts.length];
-        IntStream.range(0,counts.length).forEach(val -> topkIndex[val] = val);
+        IntStream.range(0, counts.length).forEach(val -> topkIndex[val] = val);
         SortUtils.quicksort(counts, topkIndex, true);
-        
+
         // get CFSs for each training set
         List<Set<Integer>> cfsSets = new LinkedList<>();
-        for( Instances traindata : traindataSet ) {
+        for (Instances traindata : traindataSet) {
             boolean selectionSuccessful = false;
             boolean secondAttempt = false;
@@ -113,5 +115,5 @@
                         attsel.SelectAttributes(traindataCopy);
                         Set<Integer> cfsSet = new HashSet<>();
-                        for( int attr : attsel.selectedAttributes() ) {
+                        for (int attr : attsel.selectedAttributes()) {
                             cfsSet.add(attr);
                         }
@@ -128,5 +130,5 @@
                         attsel.SelectAttributes(traindata);
                         Set<Integer> cfsSet = new HashSet<>();
-                        for( int attr : attsel.selectedAttributes() ) {
+                        for (int attr : attsel.selectedAttributes()) {
                             cfsSet.add(attr);
                         }
@@ -160,17 +162,17 @@
             while (!selectionSuccessful); // dummy loop for internal continue
         }
-        
+
         double[] coverages = new double[topkIndex.length];
-        for( Set<Integer> cfsSet : cfsSets ) {
+        for (Set<Integer> cfsSet : cfsSets) {
             Set<Integer> topkSet = new HashSet<>();
-            for( int k=0; k<topkIndex.length ; k++ ) {
+            for (int k = 0; k < topkIndex.length; k++) {
                 topkSet.add(topkIndex[k]);
-                coverages[k] += (coverage(topkSet, cfsSet)/traindataSet.size());
+                coverages[k] += (coverage(topkSet, cfsSet) / traindataSet.size());
             }
         }
         double bestCoverageValue = Double.MIN_VALUE;
         int bestCoverageIndex = 0;
-        for( int i=0; i<coverages.length; i++ ) {
-            if( coverages[i]>bestCoverageValue) {
+        for (int i = 0; i < coverages.length; i++) {
+            if (coverages[i] > bestCoverageValue) {
                 bestCoverageValue = coverages[i];
                 bestCoverageIndex = i;
@@ -180,13 +182,13 @@
         SpearmansCorrelation corr = new SpearmansCorrelation();
         double[][] correlationMatrix = new double[bestCoverageIndex][bestCoverageIndex];
-        for( Instances traindata : traindataSet ) {
+        for (Instances traindata : traindataSet) {
             double[][] vectors = new double[bestCoverageIndex][traindata.size()];
-            for( int i=0; i<traindata.size(); i++ ) {
-                for( int j=0; j<bestCoverageIndex; j++) {
+            for (int i = 0; i < traindata.size(); i++) {
+                for (int j = 0; j < bestCoverageIndex; j++) {
                     vectors[j][i] = traindata.get(i).value(topkIndex[j]);
                 }
             }
-            for( int j=0; j<bestCoverageIndex; j++ ) {
-                for( int k=j+1; k<bestCoverageIndex; k++ ) {
+            for (int j = 0; j < bestCoverageIndex; j++) {
+                for (int k = j + 1; k < bestCoverageIndex; k++) {
                     correlationMatrix[j][k] = Math.abs(corr.correlation(vectors[j], vectors[k]));
                 }
@@ -194,6 +196,7 @@
         }
         Set<Integer> topkSetIndexSet = new TreeSet<>();
-        // j<30 ensures that the computational time does not explode since the powerset is 2^n in complexity
-        for( int j=0; j<bestCoverageIndex && j<30 ; j++ ) {
+        // j<30 ensures that the computational time does not explode since the powerset is 2^n in
+        // complexity
+        for (int j = 0; j < bestCoverageIndex && j < 30; j++) {
             topkSetIndexSet.add(j);
         }
@@ -201,15 +204,15 @@
         double bestOptCoverage = Double.MIN_VALUE;
         Set<Integer> opttopkSetIndexSet = null;
-        for( Set<Integer> combination : allCombinations ) {
-            if( isUncorrelated(correlationMatrix, combination) ) {
+        for (Set<Integer> combination : allCombinations) {
+            if (isUncorrelated(correlationMatrix, combination)) {
                 double currentCoverage = 0.0;
                 Set<Integer> topkCombination = new TreeSet<>();
-                for( Integer index : combination ) {
+                for (Integer index : combination) {
                     topkCombination.add(topkIndex[index]);
                 }
-                for( Set<Integer> cfsSet : cfsSets ) {
-                    currentCoverage += (coverage(topkCombination, cfsSet)/traindataSet.size());
-                }
-                if( currentCoverage > bestOptCoverage ) {
+                for (Set<Integer> cfsSet : cfsSets) {
+                    currentCoverage += (coverage(topkCombination, cfsSet) / traindataSet.size());
+                }
+                if (currentCoverage > bestOptCoverage) {
                     bestOptCoverage = currentCoverage;
                     opttopkSetIndexSet = combination;
@@ -218,16 +221,16 @@
         }
         Set<Integer> opttopkIndex = new TreeSet<>();
-        for( Integer index : opttopkSetIndexSet) {
+        for (Integer index : opttopkSetIndexSet) {
             opttopkIndex.add(topkIndex[index]);
         }
         Console.traceln(Level.FINE, "selected the following metrics:");
-        for( Integer index : opttopkIndex) {
+        for (Integer index : opttopkIndex) {
             Console.traceln(Level.FINE, traindataSet.get(0).attribute(index).name());
         }
         // finally remove attributes
-        for( int j=testdata.numAttributes()-1; j>=0; j-- ) {
-            if( j!=testdata.classIndex() && !opttopkIndex.contains(j) ) {
+        for (int j = testdata.numAttributes() - 1; j >= 0; j--) {
+            if (j != testdata.classIndex() && !opttopkIndex.contains(j)) {
                 testdata.deleteAttributeAt(j);
-                for( Instances traindata : traindataSet ) {
+                for (Instances traindata : traindataSet) {
                     traindata.deleteAttributeAt(j);
                 }
@@ -235,16 +238,17 @@
         }
     }
-    
+
     private boolean isUncorrelated(double[][] correlationMatrix, Set<Integer> combination) {
         Integer[] intCombination = combination.toArray(new Integer[0]);
         boolean areUncorrelated = true;
-        for( int i=0 ; areUncorrelated && i<intCombination.length ; i++ ) {
-            for( int j=i+1; areUncorrelated && j<intCombination.length ; j++ ) {
-                areUncorrelated &= correlationMatrix[intCombination[i]][intCombination[j]]>correlationThreshold;
+        for (int i = 0; areUncorrelated && i < intCombination.length; i++) {
+            for (int j = i + 1; areUncorrelated && j < intCombination.length; j++) {
+                areUncorrelated &=
+                    correlationMatrix[intCombination[i]][intCombination[j]] > correlationThreshold;
             }
         }
         return areUncorrelated;
     }
-    
+
     private double coverage(Set<Integer> topkSet, Set<Integer> cfsSet) {
         Set<Integer> topkSetCopy1 = new HashSet<>(topkSet);
@@ -252,5 +256,5 @@
         Set<Integer> topkSetCopy2 = new HashSet<>(topkSet);
         topkSetCopy2.addAll(cfsSet);
-        return ((double) topkSetCopy1.size())/topkSetCopy2.size();
+        return ((double) topkSetCopy1.size()) / topkSetCopy2.size();
     }
 }
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/TransferComponentAnalysis.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/TransferComponentAnalysis.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/TransferComponentAnalysis.java	(revision 135)
@@ -37,16 +37,29 @@
  * </p>
  * 
- * TODO comment class
  * @author Steffen Herbold
  */
 public class TransferComponentAnalysis implements IProcessesingStrategy {
 
+    /**
+     * Dimension of the reduced data.
+     */
     int reducedDimension = 5;
 
+    /*
+     * (non-Javadoc)
+     * 
+     * @see de.ugoe.cs.cpdp.IParameterizable#setParameter(java.lang.String)
+     */
     @Override
     public void setParameter(String parameters) {
-        
-    }
-
+        // dummy, paramters ignored
+    }
+
+    /*
+     * (non-Javadoc)
+     * 
+     * @see de.ugoe.cs.cpdp.dataprocessing.IProcessesingStrategy#apply(weka.core.Instances,
+     * weka.core.Instances)
+     */
     @Override
     public void apply(Instances testdata, Instances traindata) {
@@ -54,4 +67,15 @@
     }
 
+    /**
+     * <p>
+     * calculates the linear kernel function between two instances
+     * </p>
+     *
+     * @param x1
+     *            first instance
+     * @param x2
+     *            second instance
+     * @return kernel value
+     */
     private double linearKernel(Instance x1, Instance x2) {
         double value = 0.0d;
@@ -64,4 +88,14 @@
     }
 
+    /**
+     * <p>
+     * Applies TCA to the test and training data.
+     * </p>
+     *
+     * @param testdata
+     *            the test data
+     * @param traindata
+     *            the training data
+     */
     private void applyTCA(Instances testdata, Instances traindata) {
         final int sizeTest = testdata.numInstances();
@@ -125,4 +159,15 @@
     }
 
+    /**
+     * <p>
+     * Creates the kernel matrix of the test and training data
+     * </p>
+     *
+     * @param testdata
+     *            the test data
+     * @param traindata
+     *            the training data
+     * @return kernel matrix
+     */
     private PrimitiveMatrix buildKernel(Instances testdata, Instances traindata) {
         final int kernelDim = traindata.numInstances() + testdata.numInstances();
@@ -162,4 +207,16 @@
     }
 
+    /**
+     * <p>
+     * Calculates the kernel norm matrix, i.e., the matrix which is used for matrix multiplication
+     * to calculate the kernel norm.
+     * </p>
+     *
+     * @param dimTest
+     *            dimension of the test data
+     * @param sizeTrain
+     *            number of instances of the training data
+     * @return kernel norm matrix
+     */
     private PrimitiveMatrix buildKernelNormMatrix(final int dimTest, final int sizeTrain) {
         final double trainSquared = 1.0 / (sizeTrain * (double) sizeTrain);
@@ -199,4 +256,15 @@
     }
 
+    /**
+     * <p>
+     * Creates the center matrix
+     * </p>
+     *
+     * @param sizeTest
+     *            number of instances of the test data
+     * @param sizeTrain
+     *            number of instances of the training data
+     * @return center matrix
+     */
     private PrimitiveMatrix buildCenterMatrix(final int sizeTest, final int sizeTrain) {
         Builder<PrimitiveMatrix> centerMatrix =
@@ -208,4 +276,17 @@
     }
 
+    /**
+     * <p>
+     * Builds the mu-Matrix for offsetting values.
+     * </p>
+     *
+     * @param sizeTest
+     *            number of instances of the test data
+     * @param sizeTrain
+     *            number of instances of the training data
+     * @param mu
+     *            mu parameter
+     * @return mu-Matrix
+     */
     private PrimitiveMatrix buildMuMatrix(final int sizeTest,
                                           final int sizeTrain,
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/Undersampling.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/Undersampling.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/Undersampling.java	(revision 135)
@@ -80,7 +80,4 @@
 
             Resample resample = new Resample();
-            // TODO: resample.setSampleSizePercent((100.0*counts[1])/100+0.01);
-            // Ohne +0.01 wird bei tomcat, xerces-1.2 und jedit-4.0 ein negative weniger
-            // zurückgegeben
             resample.setSampleSizePercent((100.0 * counts[1]) / counts[0]);
             try {
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/ZScoreTargetNormalization.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/ZScoreTargetNormalization.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataprocessing/ZScoreTargetNormalization.java	(revision 135)
@@ -24,5 +24,6 @@
  * @author Steffen Herbold
  */
-public class ZScoreTargetNormalization implements ISetWiseProcessingStrategy, IProcessesingStrategy
+public class ZScoreTargetNormalization
+    implements ISetWiseProcessingStrategy, IProcessesingStrategy
 {
 
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/AbstractCharacteristicSelection.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/AbstractCharacteristicSelection.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/AbstractCharacteristicSelection.java	(revision 135)
@@ -104,5 +104,7 @@
                     }
                     else if ("median".equals(characteristics[j])) {
-                        instanceValues[i * characteristics.length + j] = Utils.kthSmallestValue(testdata.attributeToDoubleArray(i), testdata.size()/2);
+                        instanceValues[i * characteristics.length + j] =
+                            Utils.kthSmallestValue(testdata.attributeToDoubleArray(i),
+                                                   testdata.size() / 2);
                     }
                     else {
@@ -138,5 +140,7 @@
                         }
                         else if ("median".equals(characteristics[j])) {
-                            instanceValues[i * characteristics.length + j] = Utils.kthSmallestValue(traindata.attributeToDoubleArray(i), traindata.size()/2);
+                            instanceValues[i * characteristics.length + j] =
+                                Utils.kthSmallestValue(traindata.attributeToDoubleArray(i),
+                                                       traindata.size() / 2);
                         }
                         else {
@@ -173,6 +177,5 @@
         }
         catch (Exception e) {
-            throw new RuntimeException(
-                                       "Unexpected exception during normalization of distributional characteristics.",
+            throw new RuntimeException("Unexpected exception during normalization of distributional characteristics.",
                                        e);
         }
